%% Optimization script
clear 
clc
l=0.1:0.1:0.9; % All guesses 
optimal_soln=zeros(length(l),3);

for i=1:length(l)
x0=[l(i),l(i)];% x0

% Inequality linear constraints form A.x<=b
b=[1;-0;1;-0];
A=[1 0 ;-1 0 ;0 1 ;0 -1];

options = optimset('TolFun',1e-6,'TolCon',1e-6,'MaxFunEvals',200,...
'Display','iter','Algorithm','sqp','Diagnostics','on'...
);

[x,fval,exitflag,output,lambda,grad,hessian]=fmincon(@objfnc,x0,A,b,[],[],[],[],@confun,options);

optimal_soln(i,:)=[x -fval];
end

optimal_soln